Bug 166984 - Xen hangs on boot at unmountin old /sys
Xen hangs on boot at unmountin old /sys
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
4
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Rik van Riel
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-29 09:07 EDT by Ted Kaczmarek
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-16 15:06:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ted Kaczmarek 2005-08-29 09:07:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
When trying to boot into Xen kernel it hangs after console says unmounting old /sys. Had this error with the rpm in base as well.

Version-Release number of selected component (if applicable):
kernel-xen0-2.6.12-1.1435_FC4.i686.rpm

How reproducible:
Always

Steps to Reproduce:
1.Try to boot into vmlinuz-2.6.12-1.1447_FC4xen0
2.
3.
  

Actual Results:  Hangs during boot right after console says unmounting old /sys.

Expected Results:  Boot into xen kernel completes.

Additional info:

SMP Athlon machine, 1 gig of ram, 2 scsi, 2 ide and 2 cdroms. Grub is installed on first scsi drive in chain.
00:00.0 Host bridge: Advanced Micro Devices [AMD] AMD-760 MP [IGD4-2P] System Controller (rev 11)
00:01.0 PCI bridge: Advanced Micro Devices [AMD] AMD-760 MP [IGD4-2P] AGP Bridge
00:07.0 ISA bridge: Advanced Micro Devices [AMD] AMD-766 [ViperPlus] ISA (rev 02)
00:07.1 IDE interface: Advanced Micro Devices [AMD] AMD-766 [ViperPlus] IDE (rev 01)
00:07.3 Bridge: Advanced Micro Devices [AMD] AMD-766 [ViperPlus] ACPI (rev 01)
00:07.4 USB Controller: Advanced Micro Devices [AMD] AMD-766 [ViperPlus] USB (rev 07)
00:08.0 VGA compatible controller: ATI Technologies Inc Radeon R250 Lf [FireGL 9000] (rev 02)
00:08.1 Display controller: ATI Technologies Inc Radeon R250 Ln [Radeon Mobility 9000 M9] [Secondary] (rev 02)
00:0a.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 07)
00:0a.1 Input device controller: Creative Labs SB Live! MIDI/Game Port (rev 07)
00:0b.0 FireWire (IEEE 1394): Texas Instruments TSB12LV23 IEEE-1394 Controller
00:0d.0 SCSI storage controller: Adaptec AIC-7899P U160/m (rev 01)
00:0d.1 SCSI storage controller: Adaptec AIC-7899P U160/m (rev 01)
00:0e.0 VGA compatible controller: ATI Technologies Inc Rage XL (rev 27)
00:0f.0 Ethernet controller: 3Com Corporation 3c980-C 10/100baseTX NIC [Python-T] (rev 78)
00:10.0 Ethernet controller: 3Com Corporation 3c980-C 10/100baseTX NIC [Python-T] (rev 78)
Comment 1 Rik van Riel 2005-08-29 09:54:10 EDT
Do things work if you boot with "vdso=0" ?
Comment 2 Ted Kaczmarek 2005-08-29 11:30:09 EDT
Yes boot completes :-) 
Now when starting xend I get
"Exception connecting to xenstored: (2, 'No such file or directory')".
I need to read up some more at this point, if you want another bug report on
that issue let me know, otherwise I am assuming its a RTFM issue.
Comment 3 Ted Kaczmarek 2005-08-29 11:42:40 EDT
The /var/run/xenstored and /var/lib/xenstored  did not get created, their are
some caveats on the Xen dev list about this, it would probably make sense to
create the dirs IMHO.
Comment 4 Thomas Kofler 2005-09-05 03:39:21 EDT
We have the same problem on two machines:

IBM NetFinity 5500 Server, Dual Xenon-PIII 600 MHz, ServRaid-5 SCSI RAID-1 as 
boot partition.

No-Name pc hardware, single ide disk, AMD Athlon 1.8 GHz

The bug occurs independent of the partitioning of the the hard disk - with 
LVM2 or normal partitions.

vdso=0 using as kernel parameter didnt succeed.
Comment 5 Thomas Kofler 2005-09-07 08:05:17 EDT
Here is the detailed test plan for the problem to get xen functional:

All mentioned kernel work fine without builtin xen support. The interesting 
part is, that the stock FC4 installation without any yum updates, two kernels 
work fine out of the box. Any other combination fails fatal. Hope that helps 
to debug the problem.

AMD Athlon 4 1100MHz, 512 MB RAM
Network Card: sis900, on board (see dmesg output at the end)

Fedora Minimal Installation
yum update for all packages

xen-2-20050522
	kernel-xen0-2.6.11-1.1369
		hangs on umounting /sys
		appended vdso=0 - hangs on umounting /sys
	
	kernel-xen0-2.6.12-1.1398
		hangs on umounting /sys
		appended vdso=0 - hangs on umounting /sys
	
	kernel-xen0-2.6.12-1.1447
		CPU0 is toast
		appended vdso=0 - CPU0 is toast

xen-2.20050823

	kernel-xen0-2.6.11-1.1369
		immediate reboot after starting the kernel
		appended vdso=0 - immediate reboot after starting the kernel
	
	kernel-xen0-2.6.12-1.1398
		immediate reboot after starting the kernel
		appended vdso=0 - immediate reboot after starting the kernel
	
	
	kernel-xen0-2.6.12-1.1447
		hangs on umounting /sys
		appended vdso=0 - hangs on umounting /sys
	

Okay, next try:
Fedora Minimal Installation
NO yum update for all packages


xen-2-20050522
	kernel-xen0-2.6.11-1.1369
		OK, works fine
	
	kernel-xen0-2.6.12-1.1398
		OK, works fine
	
	kernel-xen0-2.6.12-1.1447
		CPU0 is toast
		appended vdso=0 - CPU0 is toast

xen-2.20050823

	kernel-xen0-2.6.11-1.1369
		immediate reboot after starting the kernel
		appended vdso=0 - immediate reboot after starting the kernel
	
	kernel-xen0-2.6.12-1.1398
		immediate reboot after starting the kernel
		appended vdso=0 - immediate reboot after starting the kernel
	
	kernel-xen0-2.6.12-1.1447
		Network not working, eth0 is not available
		"eth0: Error for wireless request "Set Encode" (8B2A): SET 
failed on device eth0 ; No such device

/etc/modprobe.conf
remove snd-intel8x0 { /usr/sbin/alsactl store 0 >/dev/null 2>&1 
|| : ; }; /sbin/modprobe -r --ignore-remove snd-intel8x0
alias eth0 sis900
alias scsi_hostadapter qla2200
alias snd-card-0 snd-intel8x0
options snd-card-0 index=0
alias usb-controller ohci-hcd

[root@www2 ~]# mount
/dev/mapper/VolGroup00-LogVol00 on / type ext3 (rw)
/dev/proc on /proc type proc (rw)
/dev/sys on /sys type sysfs (rw)
/dev/devpts on /dev/pts type devpts (rw,gid=5,mode=620)
/dev/hda1 on /boot type ext3 (rw)
/dev/shm on /dev/shm type tmpfs (rw)
none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)
sunrpc on /var/lib/nfs/rpc_pipefs type rpc_pipefs (rw)
automount(pid1721) on /misc type autofs 
(rw,fd=4,pgrp=1721,minproto=2,maxproto=4)
automount(pid1764) on /net type autofs 
(rw,fd=4,pgrp=1764,minproto=2,maxproto=4)

Linux version 2.6.11-1.1369_FC4 (bhcompile@decompose.build.redhat.com) (gcc 
version 4.0.0 20050525 (Red Hat
 4.0.0-9)) #1 Thu Jun 2 22:55:56 EDT 2005
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000001e000000 (usable)
 BIOS-e820: 00000000fec00000 - 00000000fec01000 (reserved)
 BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
 BIOS-e820: 00000000ffee0000 - 00000000fff00000 (reserved)
 BIOS-e820: 00000000fffc0000 - 0000000100000000 (reserved)
0MB HIGHMEM available.
480MB LOWMEM available.
Using x86 segment limits to approximate NX protection
On node 0 totalpages: 122880
  DMA zone: 4096 pages, LIFO batch:1
  Normal zone: 118784 pages, LIFO batch:31
  HighMem zone: 0 pages, LIFO batch:1
DMI 2.3 present.
ACPI: Unable to locate RSDP
Allocating PCI resources starting at 1e000000 (gap: 1e000000:e0c00000)
Built 1 zonelists
Kernel command line: ro root=/dev/VolGroup00/LogVol00
Initializing CPU#0
CPU 0 irqstacks, hard=c0457000 soft=c0456000
PID hash table entries: 2048 (order: 11, 32768 bytes)
Detected 1095.466 MHz processor.
Using tsc for high-res timesource
Console: colour VGA+ 80x25
Dentry cache hash table entries: 65536 (order: 6, 262144 bytes)
Inode-cache hash table entries: 32768 (order: 5, 131072 bytes)
Memory: 481068k/491520k available (2518k kernel code, 9904k reserved, 690k 
data, 180k init, 0k highmem)
Checking if this processor honours the WP bit even in supervisor mode... Ok.
Calibrating delay loop... 2162.68 BogoMIPS (lpj=1081344)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 512
CPU: After generic identify, caps: 0183f9ff c1c3f9ff 00000000 00000000 
00000000 00000000 00000000
CPU: After vendor identify, caps: 0183f9ff c1c3f9ff 00000000 00000000 00000000 
00000000 00000000
Enabling disabled K7/SSE Support.
CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
CPU: L2 Cache: 256K (64 bytes/line)
CPU: After all inits, caps: 0383f1ff c1c3f9ff 00000000 00000020 00000000 
00000000 00000000
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU: AMD Athlon(tm) 4  stepping 00
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
checking if image is initramfs... it is
softlockup thread 0 started up.
Freeing initrd memory: 1848k freed
NET: Registered protocol family 16
PCI: PCI BIOS revision 2.10 entry at 0xfdb01, last bus=1
mtrr: v2.0 (20020519)
ACPI: Subsystem revision 20050309
ACPI: Interpreter disabled.
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI: disabled
usbcore: registered new driver usbfs
usbcore: registered new driver hub
PCI: Probing PCI hardware
PCI: Probing PCI hardware (bus 00)
Uncovering SIS961 that hid as a SIS503 (compatible=0)
Enabling SiS 96x SMBus.
Boot video device is 0000:01:00.0
PCI: Using IRQ router SIS [1039/0961] at 0000:00:02.0
PCI: IRQ 0 for device 0000:00:02.1 doesn't match PIRQ mask - try 
pci=usepirqmask
apm: BIOS not found.
audit: initializing netlink socket (disabled)
audit(1126093764.721:1): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key 42BD35A990375F72
- User ID: Red Hat, Inc. (Kernel Module GPG key)
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Real Time Clock Driver v1.12
Linux agpgart interface v0.101 (c) Dave Jones
agpgart: Detected SiS 740 chipset
agpgart: AGP aperture is 64M @ 0xd0000000
PNP: No PS/2 controller found. Probing ports directly.
serio: i8042 AUX port at 0x60,0x64 irq 12
serio: i8042 KBD port at 0x60,0x64 irq 1
Serial: 8250/16550 driver $Revision: 1.90 $ 76 ports, IRQ sharing enabled
ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered
RAMDISK driver initialized: 16 RAM disks of 16384K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
SIS5513: IDE controller at PCI slot 0000:00:02.5
SIS5513: chipset revision 208
SIS5513: not 100% native mode: will probe irqs later
SIS5513: SiS 961 MuTIOL IDE UDMA100 controller
    ide0: BM-DMA at 0xff00-0xff07, BIOS settings: hda:DMA, hdb:DMA
    ide1: BM-DMA at 0xff08-0xff0f, BIOS settings: hdc:DMA, hdd:DMA
Probing IDE interface ide0...
hda: ST380011A, ATA DISK drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Probing IDE interface ide1...
hdd: LTN526D, ATAPI CD/DVD-ROM drive
ide1 at 0x170-0x177,0x376 on irq 15
hda: max request size: 1024KiB
hda: 156301488 sectors (80026 MB) w/2048KiB Cache, CHS=16383/255/63, UDMA(100)
hda: cache flushes supported
 hda: hda1 hda2
hdd: ATAPI 52X CD-ROM drive, 120kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.20
ide-floppy driver 0.99.newide
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.01:USB HID core driver
mice: PS/2 mouse device common for all mice
md: md driver 0.90.1 MAX_MD_DEVS=256, MD_SB_DISKS=27
NET: Registered protocol family 2
IP: routing cache hash table of 1024 buckets, 32Kbytes
TCP established hash table entries: 16384 (order: 5, 131072 bytes)
TCP bind hash table entries: 16384 (order: 6, 458752 bytes)
TCP: Hash tables configured (established 16384 bind 16384)
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
Freeing unused kernel memory: 180k freed
input: AT Translated Set 2 keyboard on isa0060/serio0
SCSI subsystem initialized
QLogic Fibre Channel HBA Driver
PCI: Found IRQ 5 for device 0000:00:0b.0
qla2200 0000:00:0b.0: Found an ISP2200, irq 5, iobase 0xde814000
scsi0 : qla2xxx
qla2200 0000:00:0b.0: Configuring PCI space...
qla2200 0000:00:0b.0: Configure NVRAM parameters...
qla2200 0000:00:0b.0: Verifying loaded RISC code...
qla2200 0000:00:0b.0: Waiting for LIP to complete...
input: ImExPS/2 Generic Explorer Mouse on isa0060/serio1
qla2200 0000:00:0b.0: Cable is unplugged...
qla2200 0000:00:0b.0:
 QLogic Fibre Channel HBA Driver: 8.00.02b5-k
  QLogic QLA22xx -
  ISP2200: PCI (33 MHz) @ 0000:00:0b.0 hdma-, host#=0, fw=2.02.06 TP
device-mapper: 4.4.0-ioctl (2005-01-12) initialised: dm-devel@redhat.com
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
SELinux:  Disabled at runtime.
SELinux:  Unregistering netfilter hooks
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
sis900.c: v1.08.08 Jan. 22 2005
PCI: Found IRQ 11 for device 0000:00:03.0
0000:00:03.0: ICS LAN PHY transceiver found at address 1.
0000:00:03.0: Using transceiver found at address 1 as default
eth0: SiS 900 PCI Fast Ethernet at 0xd000, IRQ 11, 00:0a:e6:10:60:a3.
PCI: Found IRQ 11 for device 0000:00:02.7
intel8x0_measure_ac97_clock: measured 49506 usecs
intel8x0: clocking to 48000
i2c-sis96x version 1.0.0
sis96x_smbus 0000:00:02.1: SiS96x SMBus base address: 0x0c00
shpchp: acpi_shpchprm:get_device PCI ROOT HID fail=0x1001
ohci_hcd: 2004 Nov 08 USB 1.1 'Open' Host Controller (OHCI) Driver (PCI)
PCI: Found IRQ 11 for device 0000:00:02.2
ohci_hcd 0000:00:02.2: OHCI Host Controller
ohci_hcd 0000:00:02.2: new USB bus registered, assigned bus number 1
ohci_hcd 0000:00:02.2: irq 11, io mem 0xcfff9000
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 3 ports detected
PCI: Found IRQ 11 for device 0000:00:02.3
ohci_hcd 0000:00:02.3: OHCI Host Controller
ohci_hcd 0000:00:02.3: new USB bus registered, assigned bus number 2
ohci_hcd 0000:00:02.3: irq 11, io mem 0xcfffa000
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 3 ports detected
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
EXT3 FS on dm-0, internal journal
kjournald starting.  Commit interval 5 seconds
EXT3 FS on hda1, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
Adding 983032k swap on /dev/VolGroup00/LogVol01.  Priority:-1 extents:1
eth0: Media Link On 100mbps full-duplex
Bluetooth: Core ver 2.7
NET: Registered protocol family 31
Bluetooth: HCI device and connection manager initialized
Bluetooth: HCI socket layer initialized
Bluetooth: L2CAP ver 2.7
Bluetooth: L2CAP socket layer initialized
Bluetooth: RFCOMM ver 1.5
Bluetooth: RFCOMM socket layer initialized
Bluetooth: RFCOMM TTY layer initialized
parport0: PC-style at 0x378 (0x778) [PCSPP,TRISTATE]
parport0: irq 7 detected
lp0: using parport0 (polling).
lp0: console ready
NET: Registered protocol family 10
Disabled Privacy Extensions on device c03e6820(lo)
IPv6 over IPv4 tunneling driver
eth0: no IPv6 routers present



Comment 6 Albert Strasheim 2005-09-08 11:25:21 EDT
I'm having the same problem on an older system (P4 1.6, 1 GB RAM, SCSI hard 
drive, etc.). Let me know if I should provide more hardware details.
Comment 7 Rik van Riel 2005-09-16 15:06:02 EDT
Please use the latest Xen RPM from rawhide with the latest kernel-xen0 kernel
from FC4 updates-testing.  This bug should be fixed.

Note You need to log in before you can comment on or make changes to this bug.